Method: brands.agents.greetings.list

  • This method lists all greetings associated with an agent but is deprecated and should not be used.

  • The request uses a GET HTTP method to https://businesscommunications.googleapis.com/v1/{parent=brands/*/agents/*}/greetings.

  • The parent path parameter is required and specifies the unique identifier of the agent.

  • The pageSize query parameter is always set to 0 by this method.

  • The response body contains a list of greetings and an optional nextPageToken for pagination.

Deprecated: Greetings are deprecated. Please migrate away from the APIs. Lists all greetings associated with an agent.

HTTP request

GET https://businesscommunications.googleapis.com/v1/{parent=brands/*/agents/*}/greetings

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The unique identifier of the agent. If the brand ID is "1234" and agent ID is "5678", this parameter resolves to "brands/1234/agents/5678".

Query parameters

Parameters
pageSize

integer

Specify the maximum number of results for the server to return. The server may limit the number of results returned per page. If the pageSize is 0, the server will decide how many results to return.

pageToken

string

The nextPageToken value returned from a previous List request, if any.

Request body

The request body must be empty.

Response body

If successful, the response body contains data with the following structure:

The list of greetings associated with the agent.

JSON representation
{
  "greetings": [
    {
      object (Greeting)
    }
  ],
  "nextPageToken": string
}
Fields
greetings[]

object (Greeting)

The list of greetings.

nextPageToken

string

The pagination token to retrieve the next page of results. If the value is "", there are no more results for the request.